<?php

/**
 * ThdImage form base class.
 *
 * @package    form
 * @subpackage thd_image
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseThdImageForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'      => new sfWidgetFormInputHidden(),
      'type'    => new sfWidgetFormInput(),
      'file'    => new sfWidgetFormInput(),
      'film_id' => new sfWidgetFormDoctrineChoice(array('model' => 'ThdFilm', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'id'      => new sfValidatorDoctrineChoice(array('model' => 'ThdImage', 'column' => 'id', 'required' => false)),
      'type'    => new sfValidatorInteger(),
      'file'    => new sfValidatorString(array('max_length' => 255)),
      'film_id' => new sfValidatorDoctrineChoice(array('model' => 'ThdFilm')),
    ));

    $this->widgetSchema->setNameFormat('thd_image[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'ThdImage';
  }

}
